Debian Bug report logs - #674874
ITA: libbinio -- Binary I/O stream class library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ricardo Mones <mones@debian.org>

Date: Mon, 28 May 2012 12:32:06 UTC

Owned by: Andreas Moog <andreas.moog@warperbbs.de>

Severity: normal

Fixed in version libbinio/1.4+dfsg1-2

Done: Andreas Moog <andreas.moog@warperbbs.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, bradsmith@debian.org, wnpp@debian.org:
Bug#674874; Package wnpp. (Mon, 28 May 2012 12:32:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ricardo Mones <mones@debian.org>:
New Bug report received and forwarded. Copy sent to bradsmith@debian.org, wnpp@debian.org. (Mon, 28 May 2012 12:32:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ricardo Mones <mones@debian.org>
To: submit@bugs.debian.org
Subject: O: libbinio -- Binary I/O stream class library
Date: Mon, 28 May 2012 14:30:37 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

The current maintainer of libbinio, Bradley Smith <bradsmith@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package now.

Maintaining a package requires time and skills. Please only adopt this
package if you will have enough time and attention to work on it.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: libbinio
Binary: libbinio1ldbl, libbinio-dev
Version: 1.4-14
Maintainer: Bradley Smith <bradsmith@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, quilt
Architecture: any
Standards-Version: 3.8.3
Format: 1.0
Files:
 5d41fe4c299c5eea302ef6bedae76fca 1027 libbinio_1.4-14.dsc
 bc2efd55a4569ddaf5a3e7bd5639c616 434961 libbinio_1.4.orig.tar.gz
 8e4c6e14f5b82205bf21e451d743aa26 3287 libbinio_1.4-14.diff.gz
Checksums-Sha1:
 856f70b2e41119b3d6c34877a5ebcbbc4100fd4f 1027 libbinio_1.4-14.dsc
 5b47d9ad9fd8663c34d49351e9cb7dd6389578d9 434961 libbinio_1.4.orig.tar.gz
 37fc952f04dc3c13a5fc626e194e9ff6b1efa305 3287 libbinio_1.4-14.diff.gz
Checksums-Sha256:
 881f6bf5e1f257c0de547998f699572a18290845d2a77ea7acaeee9493fdd871 1027 libbinio_1.4-14.dsc
 fa1d468b61a09203b5620fd97333b40fd6b6cf3f68ed7022148aec5a7a54665b 434961 libbinio_1.4.orig.tar.gz
 7bb6edea6fd57ea7de7284f21f87ed1fa2a5ada1e386e314b8695637ef8e5885 3287 libbinio_1.4-14.diff.gz
Homepage: http://libbinio.sourceforge.net/
Directory: pool/main/libb/libbinio
Priority: source
Section: libs

Package: libbinio1ldbl
Source: libbinio
Version: 1.4-14
Installed-Size: 160
Maintainer: Bradley Smith <bradsmith@debian.org>
Architecture: amd64
Replaces: libbinio1c2
Depends: libc6 (>= 2.2.5), libgcc1 (>= 1:4.1.1), libstdc++6 (>= 4.1.1)
Conflicts: libbinio1c2
Description-en: Binary I/O stream class library
 The binary I/O stream class library presents a platform-independent way to
 access binary data streams in C++. The library is hardware independent in
 the form that it transparently converts between the different forms of
 machine-internal binary data representation. It further employs no special
 I/O protocol and can be used on arbitrary binary data sources.
Homepage: http://libbinio.sourceforge.net/
Description-md5: 6dcc2fc6be1a1378ad049532031ae678
Tag: role::shared-lib
Section: libs
Priority: optional
Filename: pool/main/libb/libbinio/libbinio1ldbl_1.4-14_amd64.deb
Size: 28988
MD5sum: f612dbc259e36a0a28198520cec3b5bd
SHA1: 2807940a42dedd10ac2876c622e3267bdee45ec5
SHA256: 95e94c1c67ab0586caf3d2970853421b0f4f45ce3da03d8168058e493c58a13a

Package: libbinio-dev
Source: libbinio
Version: 1.4-14
Installed-Size: 200
Maintainer: Bradley Smith <bradsmith@debian.org>
Architecture: amd64
Depends: libbinio1ldbl (= 1.4-14)
Description-en: Binary I/O stream class library (development files)
 The binary I/O stream class library presents a platform-independent way to
 access binary data streams in C++. The library is hardware independent in
 the form that it transparently converts between the different forms of
 machine-internal binary data representation. It further employs no special
 I/O protocol and can be used on arbitrary binary data sources.
 .
 This package contains the development files.
Homepage: http://libbinio.sourceforge.net/
Description-md5: 7616273c241a8df14ef29d600f584646
Tag: devel::library, role::devel-lib
Section: libdevel
Priority: optional
Filename: pool/main/libb/libbinio/libbinio-dev_1.4-14_amd64.deb
Size: 30970
MD5sum: 265d9441d5fbcaa8596a939f0987f6df
SHA1: 6c0228f552a9e208847acd2337013b82b845b3f6
SHA256: b6c89474d1be4a29474f33f8180ad471269710042a9f15358714498f180f1873

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#674874; Package wnpp. (Sun, 26 Jan 2014 20:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Moog <andreas.moog@warperbbs.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 26 Jan 2014 20:18:04 GMT) Full text and rfc822 format available.

Message #10 received at 674874@bugs.debian.org (full text, mbox):

From: Andreas Moog <andreas.moog@warperbbs.de>
To: 674874@bugs.debian.org
Subject: Intending to adopt libbinio
Date: Sun, 26 Jan 2014 21:15:44 +0100
[Message part 1 (text/plain, inline)]
Control: retitle 674874 ITA: libbinio -- Binary I/O stream class library
Control: owner 674874 !

Hi there,

I intend to adopt this package and will have an upload prepared within
the next week.

Cheers!
-- 
Andreas Moog, Berliner Str. 29, 36205 Sontra/Germany
PGP-encrypted mails preferred (Key-ID: 74DE6624)
PGP Fingerprint: 74CD D9FE 5BCB FE0D 13EE 8EEA 61F3 4426 74DE 6624

[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'ITA: libbinio -- Binary I/O stream class library' from 'O: libbinio -- Binary I/O stream class library' Request was from Andreas Moog <andreas.moog@warperbbs.de> to 674874-submit@bugs.debian.org. (Sun, 26 Jan 2014 20:18:04 GMT) Full text and rfc822 format available.

Owner recorded as Andreas Moog <andreas.moog@warperbbs.de>. Request was from Andreas Moog <andreas.moog@warperbbs.de> to 674874-submit@bugs.debian.org. (Sun, 26 Jan 2014 20:18:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 674874: 736937 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Tue, 28 Jan 2014 16:30:15 GMT) Full text and rfc822 format available.

Reply sent to Andreas Moog <andreas.moog@warperbbs.de>:
You have taken responsibility. (Tue, 28 Jan 2014 21:27:24 GMT) Full text and rfc822 format available.

Notification sent to Ricardo Mones <mones@debian.org>:
Bug acknowledged by developer. (Tue, 28 Jan 2014 21:27:24 GMT) Full text and rfc822 format available.

Message #21 received at 674874-close@bugs.debian.org (full text, mbox):

From: Andreas Moog <andreas.moog@warperbbs.de>
To: 674874-close@bugs.debian.org
Subject: Bug#674874: fixed in libbinio 1.4+dfsg1-2
Date: Tue, 28 Jan 2014 21:23:55 +0000
Source: libbinio
Source-Version: 1.4+dfsg1-2

We believe that the bug you reported is fixed in the latest version of
libbinio, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 674874@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Moog <andreas.moog@warperbbs.de> (supplier of updated libbinio package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 26 Jan 2014 17:30:15 +0100
Source: libbinio
Binary: libbinio1ldbl libbinio-dev
Architecture: source amd64
Version: 1.4+dfsg1-2
Distribution: unstable
Urgency: medium
Maintainer: Andreas Moog <andreas.moog@warperbbs.de>
Changed-By: Andreas Moog <andreas.moog@warperbbs.de>
Description: 
 libbinio-dev - Binary I/O stream class library (development files)
 libbinio1ldbl - Binary I/O stream class library
Closes: 572401 674874 727395
Changes: 
 libbinio (1.4+dfsg1-2) unstable; urgency=medium
 .
   * New maintainer (Closes: #674874)
   * Convert to source format 3.0 (quilt):
     - Remove quilt from build-depends
     - Add debian/source/format
   * debian/rules:
     - Switch to minimal dh7 style rules file
     - use dh-autoreconf to update config.guess/sub and get new libtool macros
       for the powerpc64el port (Closes: #727395, #572401)
     - add get-orig-source target
     - Rename configure.in to configure.ac before running dh_autoreconf
   * debian/control:
     - Add build-depends on dh-autoreconf
     - Bump debhelper build-depends to >= 9
     - Add misc:Depends to libbinio-dev
     - Build for multiarch
     - Package now complies to standards version 3.9.5
     - Fix binary-control-field-duplicates-source
   * debian/compat:
     - Use dh compat level 9
   * debian/copyright:
     - Update copyright file to follow copyright format 1.0 more closely
   * debian/patches:
     - remove_gfdl_doc:
       - Remove all mentions of the documentation, it is GFDL licensed and has
         been removed from the package
     - fix-off-by-one:
       - Import patch from upstream cvs to fix off-by-one error in binstr.cpp:
         EOF was one byte too early on string streams.
     - Add description field to all patches
     - configure-in-deprecated:
       - configure.in is deprecated, migrate to configure.ac instead
   * debian/*.install:
     - Install from multiarch locations
   * debian/*.symbols:
     - Add symbol control files
   * debian/watch:
     - Update watch file
   * debian/source/lintian-overrides:
     - Override deprecated-configure-filename, we rename configure.in to *.ac
       before running autoreconf
Checksums-Sha1: 
 c788892516f4d4d2f317fa687881461dec502a54 1960 libbinio_1.4+dfsg1-2.dsc
 7560d90ecea9e1bc2312fe6a5aa9df320ec58dbd 6288 libbinio_1.4+dfsg1-2.debian.tar.xz
 2e56f51ebaf9d32d6f914f983c3bc6f4e1c58d59 25276 libbinio1ldbl_1.4+dfsg1-2_amd64.deb
 52c4a46581f5ce54b21871e506b1ed968e3d9fde 23296 libbinio-dev_1.4+dfsg1-2_amd64.deb
Checksums-Sha256: 
 cd5d09fb4b94f5359136f4c239543ecd134b7a793d447e2b0b656d2ac99dd2a0 1960 libbinio_1.4+dfsg1-2.dsc
 3bb77bff83940b24f8202ba76ee3f6980ec4baf9302fddbbf25eac4907432e2a 6288 libbinio_1.4+dfsg1-2.debian.tar.xz
 3929588d27d9953d4a575fb4fa0b01bd6b9f2b647f86b5057fe445483428ff66 25276 libbinio1ldbl_1.4+dfsg1-2_amd64.deb
 3702b134aab9ba645947de9dc212237b0133d887f197face6d9c36b3450bb3fc 23296 libbinio-dev_1.4+dfsg1-2_amd64.deb
Files: 
 780a63ea1e1494a876800d29baf8b393 1960 libs optional libbinio_1.4+dfsg1-2.dsc
 0dc030fa6636a64a99129e846a0da850 6288 libs optional libbinio_1.4+dfsg1-2.debian.tar.xz
 3a9d3cd31c573cb1d5b6cb7b70e6b2ef 25276 libs optional libbinio1ldbl_1.4+dfsg1-2_amd64.deb
 ed8cd59ffb52f179509f382bb8879b2e 23296 libdevel optional libbinio-dev_1.4+dfsg1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBAgAGBQJS6A8xAAoJEAFx4YKK4JNFK5wP/jf4GCogqfxnnIL/t+zLEqD1
rt7ERYuox8OAmhYRp0qYN7RrsWRAKm3pbJhYJXCFXxH2Qy7q7YUoh1tuvLmoA7Ub
QrHQmAi+0N+eSCwu0lEnWElE6ZFKtY9O1/4IUYAKwma1S1Je/+Tcb0EkTIPGPBsj
zOlZBByM1SUHiqUJeHWAeEI4Qt4Ah0PV3l0UeOAIWSy4gXI3EN2urvbFlhIGLJ6e
U0HprwVfxi4ZimxWO4LezXlH4iF2tAimSeqsD1qKS2xqv3z9aq9dEDeXRJePljEf
0h5NCOvcLUmebr/RDKXgZUzVcJRfPwLaI768/wcfVKVVTZVq0YCIPnmb9YoB71df
qGorWmCdXiIcscukcY9wxsNqc644HnNR0rELMFP1Hil8DTqmvjwY/ZwcC6+URH2a
pSy+G6gS3Bss2mwmcepVFwVobIanvPIYB74XH3HyvT//VbYlNMJMhI59VHtUD0Ij
JgO3OSz7HfKgxOjLltjHJkuiMbHR+7VPerhTalgfYlEp+MtVDfJ7maFCjcKaAebt
Yxp3ojVNDs0q0hiKpXkNxniyWIoKAtMcMFrvrmJlBgc7lVXH/3pOIXudohcumlZD
Z+o5e5tE2hqF/+H8XOqhjoWrkE5KxmFLE//Gb/WovuTPv7e4GwAe70RyEQlfNwQZ
NFcY+YiXwgB8ggVQkloW
=M39p
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Feb 2014 07:33:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:06:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.